Bug 1996965 - [ipv6] ovn-nbctl calls to find with nexthop= need quotes for IPv6
Summary: [ipv6] ovn-nbctl calls to find with nexthop= need quotes for IPv6
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Networking
Version: 4.8
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: ---
: 4.8.z
Assignee: Surya Seetharaman
QA Contact: Ross Brattain
URL:
Whiteboard:
Depends On: 1994647
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-08-24 06:46 UTC by OpenShift BugZilla Robot
Modified: 2021-09-07 04:14 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2021-09-07 04:14:05 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Github openshift ovn-kubernetes pull 680 0 None None None 2021-08-26 08:29:33 UTC
Red Hat Product Errata RHBA-2021:3299 0 None Closed CVE-2020-16135, CVE-2021-3634 - Fix availability timeline 2022-05-11 05:24:02 UTC

Comment 4 Ross Brattain 2021-09-02 04:46:32 UTC
Verified on 4.8.0-0.nightly-2021-09-01-001821

nexthop= is quoted.
2021-09-02T04:41:26.362Z|03990|unixctl|DBG|received request run["--format=csv","--data=bare","--no-headings","--columns=bfd","--","find","Logical_Router_Static_Route","output_port=rtoe-GR_master-0-2","nexthop=\"fd2e:6f44:5dd8::80\"","bfd!=[]"], id=0
2021-09-02T04:41:26.380Z|03997|unixctl|DBG|received request run["--format=csv","--data=bare","--no-headings","--columns=bfd","--","find","Logical_Router_Static_Route","output_port=rtoe-GR_master-0-2","nexthop=\"fd2e:6f44:5dd8::7a\"","bfd!=[]"], id=0
2021-09-02T04:45:35.700Z|07530|unixctl|DBG|received request run["--format=csv","--data=bare","--no-headings","--columns=bfd","--","find","Logical_Router_Static_Route","output_port=rtoe-GR_master-0-2","nexthop=\"fd2e:6f44:5dd8::7a\"","bfd!=[]"], id=0
2021-09-02T04:45:35.700Z|07531|nbctl|DBG|Running command run --format=csv --data=bare --no-headings --columns=bfd -- find Logical_Router_Static_Route output_port=rtoe-GR_master-0-2 "nexthop=\"fd2e:6f44:5dd8::7a\"" bfd!=[]
2021-09-02T04:45:35.729Z|07542|unixctl|DBG|received request run["--format=csv","--data=bare","--no-headings","--columns=bfd","--","find","Logical_Router_Static_Route","output_port=rtoe-GR_master-0-2","nexthop=\"fd2e:6f44:5dd8::80\"","bfd!=[]"], id=0
2021-09-02T04:45:35.729Z|07543|nbctl|DBG|Running command run --format=csv --data=bare --no-headings --columns=bfd -- find Logical_Router_Static_Route output_port=rtoe-GR_master-0-2 "nexthop=\"fd2e:6f44:5dd8::80\"" bfd!=[]

Comment 6 errata-xmlrpc 2021-09-07 04:14:05 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.8.10 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2021:3299


Note You need to log in before you can comment on or make changes to this bug.